## tableau-parm 0.1.0

=== Makefile ===
# Makefile for tableau-parm
#
# $Id: Makefile 27 2007-07-20 11:57:34Z tim $

# Installation prefixes.  Change to install elsewhere.

PREFIX=/usr/local
BIN_PREFIX=$(PREFIX)/bin
DOC_PREFIX=$(PREFIX)/share/doc/tableau-parm
MAN_PREFIX=$(PREFIX)/man

################################################################################


CC=gcc
OPTS=-std=gnu89 -pedantic -Wall


all: build/bin/tableau-parm build/doc/man/man1/tableau-parm.1.gz


build/bin:
	mkdir -p build/bin

build/bin/tableau-parm: build/bin src/tableau-parm.c Makefile
	$(CC) $(OPTS) -o $@ src/tableau-parm.c

build/doc/man/man1/tableau-parm.1.gz: doc/man/man1/tableau-parm.1.gz
	mkdir -p build/doc/man/man1
	cp doc/man/man1/tableau-parm.1.gz $@

install: all
	install -D build/bin/tableau-parm $(BIN_PREFIX)/tableau-parm
	mkdir -p $(DOC_PREFIX)
	cp -r build/doc/man $(DOC_PREFIX)
	ln -sf $(DOC_PREFIX)/man/man1/* $(MAN_PREFIX)/man1


clean:
	rm -rf build/*

=== doc/Makefile ===
# $Id: Makefile 20 2007-07-19 13:57:44Z tim $


#XXX: Used during release only
release:
	docbook2x-man --to-stdout tableau-parm.1.docbook > man/man1/tableau-parm.1
	cd man/man1 && gzip -9 -f tableau-parm.1

## tableau-parm 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for tableau-parm
 #
-# $Id: Makefile 27 2007-07-20 11:57:34Z tim $
+# $Id: Makefile 28 2009-09-29 01:25:39Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -23,14 +23,15 @@
 	mkdir -p build/bin
 
 build/bin/tableau-parm: build/bin src/tableau-parm.c Makefile
-	$(CC) $(OPTS) -o $@ src/tableau-parm.c
+	$(CC) $(OPTS) -o $@ -I/usr/local/include -L/usr/local/lib -lsgutils src/tableau-parm.c
 
 build/doc/man/man1/tableau-parm.1.gz: doc/man/man1/tableau-parm.1.gz
 	mkdir -p build/doc/man/man1
 	cp doc/man/man1/tableau-parm.1.gz $@
 
 install: all
-	install -D build/bin/tableau-parm $(BIN_PREFIX)/tableau-parm
+	mkdir -p $(BIN_PREFIX)
+	install build/bin/tableau-parm $(BIN_PREFIX)/tableau-parm
 	mkdir -p $(DOC_PREFIX)
 	cp -r build/doc/man $(DOC_PREFIX)
 	ln -sf $(DOC_PREFIX)/man/man1/* $(MAN_PREFIX)/man1

=== doc/Makefile ===
# $Id: Makefile 30 2009-09-29 18:52:10Z tim $


#XXX: Used during release only
release:
	docbook2x-man --to-stdout tableau-parm.1.docbook | sed 's/.SH DESCRIPTION/\n.SH DESCRIPTION/' > man/man1/tableau-parm.1
	cd man/man1 && gzip -9 -f tableau-parm.1

=== debian/changelog ===
tableau-parm (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/:
      - fix-string-error: renamed to 10_fix-string-error.patch.
      - fix-makefile:
          ~ Renamed to 20_fix-makefile.patch.
          ~ fixed a FTBFS when using ld --as-needed. Thanks to
            Logan Rosen <logan@ubuntu.com> (Closes: #805428, LP: #832758)
      - fix-spelling-error: renamed to 30_fix-spelling-error.patch.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 18 Nov 2015 16:47:07 -0200

tableau-parm (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control:
      - Removed quilt from Build-Depends field.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all information.
  * debian/patches/:
      - Added fix-spelling-error to fix a spelling error in license name.
      - Renamed 01-makefile.patch to fix-makefile.
  * debian/source.lintian-overrides: removed.
  * debian/rules: removed the '--with quilt' from dh $@ command.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jun 2015 23:58:03 -0300

tableau-parm (0.2.0-2) experimental; urgency=medium

  * Team upload.
  * Bumped Standards-Version to 3.9.6.
  * Migrated the packaging to DebSrc3.0 format.
  * Updated DH level to 9.
  * debian/patches/:
      - 01-Makefile.patch: added flags to allow GCC hardening.
      - added the fix-string-error, that fix an elementary
        error that causes a FTBFS with DH9.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to
      fix the issues pointed by blhc.
  * debian/watch: added new tracking rules.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 17 Nov 2014 16:52:10 -0200

tableau-parm (0.2.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Minimizing rules file.

  [ Christophe Monniez ]
  * Updating standards-version to 3.8.3.
  * Merging upstream version 0.2.0.
  * Adding a build dependency for libsgutils2-dev.
  * Adding quilt dependency.
  * Adding quilt as a build dependency.
  * Patching Makefile with quilt.

  [ Michael Prokop ]
  * Bump Build-Depends to debhelper (>= 7.0.50~).

 -- Michael Prokop <mika@debian.org>  Thu, 05 Nov 2009 00:54:03 +0100

tableau-parm (0.1.0-5) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:51:57 +0200

tableau-parm (0.1.0-4) unstable; urgency=low

  * Updating vcs fields.
  * Adding myself to copyright file.
  * Prefixing debhelper files with package name.
  * Updating to standards 3.8.1.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:46:05 +0200

tableau-parm (0.1.0-3) unstable; urgency=low

  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control file.
  * Adding full license headers to copyright file.
  * Simplifying manpage debhelper file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:16:00 +0200

tableau-parm (0.1.0-2) unstable; urgency=low

  * Removing useless whitespaces.
  * Writing full sentences in changelog.
  * Bumping package to debhelper 6.
  * Moving section to optional.
  * Updating maintainer field.
  * Adding homepage field in control.
  * Adding vcs fields in control.
  * Rewrapping description.
  * Rewritten copyright in machine-readable format.
  * Rewritten rules.
  * Cleaning up target depends in rules.
  * Correcting typo in copyright.
  * Replacing install target in rules with debhelper install file.
  * Removing useless debhelper dirs file.
  * Don't check for makefile existence in clean target of rules, it's
    not required here.

 -- Daniel Baumann <daniel@debian.org>  Sat, 16 Feb 2008 21:08:00 +0100

tableau-parm (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #464542).

 -- Juan Angulo Moreno <juan@apuntale.com>  Thu, 07 Feb 2008 09:26:11 -0430

=== debian/control ===
Source: tableau-parm
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Juan Angulo Moreno <juan@apuntale.com>
Build-Depends: debhelper (>= 9), libsgutils2-dev
Standards-Version: 3.9.6
Homepage: http://projects.sentinelchicken.org/tableau-parm/
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/tableau-parm.git
Vcs-Git: git://anonscm.debian.org/forensics/tableau-parm.git

Package: tableau-parm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tableau write-blocking bridge query/command utility
 The tableau-parm is an small command line utility designed to interact with
 Tableau forensic write blockers. It performs functions similar to the Tableau
 Disk Monitor.
 .
 Is designed to interact with write-blocking forensics bridges produced by
 Tableau, LLC. It can be used to query bridges for various bridge and device
 data, as well as to disable DCO regions.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	# nothing to be done

=== debian/watch ===
version=3
http://projects.sentinelchicken.org/tableau-parm/download/ .*/(?:downloads|files)/tableau-parm(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz)
https://code.google.com/p/tableau-parm/downloads/list  .*name=tableau-parm(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz).*
